%global momorel 1

%{!?tcl:%define tcl 1}
%{!?guile:%define guile 1}

Summary: Connects C/C++/Objective C to some high-level programming languages.
Name: swig
Version: 1.3.24
Release: %{momorel}m
License: BSD
Group: Development/Tools
URL: http://swig.sourceforge.net/
Source: http://download.sourceforge.net/swig/swig-%{version}.tar.gz
Patch1: swig-1.3.23-pylib.patch
BuildRoot: %{_tmppath}/swig-%{version}-root
BuildPrereq: perl, python-devel
%if %{tcl}
BuildPrereq: tcl-devel
%endif
%if %{guile}
BuildPrereq: guile-devel
%endif

%description
Simplified Wrapper and Interface Generator (SWIG) is a software
development tool for connecting C, C++ and Objective C programs with a
variety of high-level programming languages.  SWIG is primarily used
with Perl, Python and Tcl/TK, but it has also been extended to Java,
Eiffel and Guile.  SWIG is normally used to create high-level
interpreted programming environments, systems integration, and as a
tool for building user interfaces.

%prep
%setup -q -n SWIG-%{version}
%patch1 -p1 -b .pylib

%build
./autogen.sh
%configure
make
#make check

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ANNOUNCE CHANGES FUTURE INSTALL LICENSE NEW README TODO
%doc Doc/*
%{_bindir}/*
%{_datadir}/swig/*

%changelog
* Wed May 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3.24-1m)
- version down

* Wed May 03 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (1.3.29-1m)
- version up

* Sun Dec 11 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.3.27-2m)
- remove Patch0: swig-1.3.19-x86_64.patch

* Sun Dec  5 2005 OZAWA Sakuro <crouton@momonga-linux.org>
- (1.3.27-1m)
- new version.
- stop applying dated patches.

* Sun Mar 13 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.3.21-2m)
- revised swig-1.3.19-x86_64.patch

* Thu Mar 10 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.3.21-1m)
- version up

* Wed Jan 19 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.3.19-6m)
- apply x86_64 patch on x86_64 environment only

* Sun Jan 16 2005 Toru Hoshina <t@momonga-linux.org>
- (1.3.19-5m)
- enable x86_64.

* Fri Oct  1 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.3.19-4m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Fri Oct  1 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.3.19-3m)
- lib64

* Sun Apr 27 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.3.19-2m)
  added /usr/lib/libswig*

* Sun Apr 27 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.3.19-1m)
  update to 1.3.19

* Fri Jul 19 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.3.13-1m)
- update to 1.3.13

* Wed Jan 10 2001 Toru Hoshina <toru@df-usa.com>
- rebuild against gcc 2.96.

* Sat Nov 25 2000 Kenichi Matsubara <m@kondara.org>
- add %clean,%ChangeLog section. :-P

